Satellite Data

get
Query parameters
resolution_idintegerOptional

Filter by resolution ID

resolution_namestringOptional

Filter by resolution name

Responses
chevron-right
200Success
application/json
idintegerRead-onlyRequired
keystring · uuidRead-onlyRequired
namestring · max: 200Required
displayed_namestring · max: 200 · nullableOptional
layer_statsstring · max: 200 · nullableOptional
legendany · nullableOptional
resolutioninteger · nullableOptional
layer_resolutionstringRead-onlyRequired
get
/api/layers/
200Success
get
Path parameters
idstringRequired
layer_keystringRequiredPattern: ^[A-Za-z0-9-]+$
Query parameters
from_datestringRequired

Start date for statistics

maxccnumber · doubleRequired

Maximum cloud coverage

to_datestringRequired

End date for statistics

Responses
chevron-right
200Success
application/json
statusstringRequired
get
/api/parcels/{id}/layers/{layer_key}/statistics/
get
Query parameters
access_keystring · min: 1Required

Obtain a key by calling Parcel or Farm API.

bandsstring · enum · min: 1 · nullableOptional
  • RGB - Default for all formats.
  • RAW - Only available for image/tiff format.
Default: RGBPossible values:
contentstring · min: 1 · nullableOptional
evalscript_urlinteger · nullableOptional
heightinteger · nullableOptional
layersstring · min: 1Required

Image of satellite index. All availbale optins on Layer API.

response_formatstring · enum · min: 1 · nullableOptional
  • image/png - lossless image format for 1 (grayscale) or 3 (RGB) components
  • image/jpeg - lossy image format for 1 (grayscale) or 3 (RGB) components, without alpha channel.
  • image/tiff - lossless image format for any number of the components.
Default: image/pngPossible values:
timestring · min: 1 · nullableOptional

If not indicated the latest image will be returned.

widthinteger · nullableOptional
Responses
chevron-right
200

The response will be returned according to the response_format parameter. If the response_format is not provided, the response will be returned as a PNG image.

No content

get
/api/wms/
200

The response will be returned according to the response_format parameter. If the response_format is not provided, the response will be returned as a PNG image.

No content

Retrieve GeoJSON index data for a parcel on a specific date

get

Fetches GeoJSON representation of a layer's data for a specific parcel and date. This endpoint is useful for retrieving spatial data that can be visualized on maps.

Path parameters
idstringRequired
layer_keystringRequiredPattern: ^[A-Za-z0-9-]+$
Query parameters
datestring · dateRequired

Date for which to retrieve the index data (YYYY-MM-DD).

nbinsintegerOptional

Number of bins for histogram data.

Default: 5
Responses
chevron-right
200

Successful response containing GeoJSON data for the requested layer and date.

application/json
statusstringRequired
dataanyRequired

GeoJSON representation of the layer data

get
/api/parcels/{id}/layers/{layer_key}/json-index/

Last updated